Avro C++

Public Member Functions | Friends | List of all members
avro::Parser< Reader > Class Template Reference

Class that wraps a reader or ValidatingReade with an interface that uses explicit get* names instead of getValue. More...

`#include <Parser.hh>`

Inheritance diagram for avro::Parser< Reader >:

## Public Member Functions
| Parser (const InputBuffer &in)
| Parser (const ValidSchema &schema, const InputBuffer &in)
| Constructor only works with ValidatingWriter.
void | readNull ()
bool | readBool ()
int32_t | readInt ()
int64_t | readLong ()
float | readFloat ()
double | readDouble ()
void | readString (std::string &val)
void | readBytes (std::vector< uint8_t > &val)
template<size_t N>
void | readFixed (uint8_t(&val)[N])
template<size_t N>
void | readFixed (std::array< uint8_t, N > &val)
void | readRecord ()
void | readRecordEnd ()
int64_t | readArrayBlockSize ()
int64_t | readUnion ()
int64_t | readEnum ()
int64_t | readMapBlockSize ()

## Friends
Type | nextType (Parser< ValidatingReader > &p)
bool | currentRecordName (Parser< ValidatingReader > &p, std::string &name)
bool | nextFieldName (Parser< ValidatingReader > &p, std::string &name)

## Detailed Description

### template<class Reader>
class avro::Parser< Reader >

Class that wraps a reader or ValidatingReade with an interface that uses explicit get* names instead of getValue.

The documentation for this class was generated from the following file:

- api/Parser.hh